<?

include '../../config.php';
include '../../func.php';
head();

$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));

if ( $_GET['mod'] == 'razdel_edit' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Раздел успешно изменен' . div;
    
}

if ( $_GET['mod'] == 'razdel_edit' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при изменении раздела' . div;
    
}

if ( $_GET['mod'] == 'empty_name' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Вы не ввели название раздела' . div;
    
}
##################################

if ( $_GET['mod'] == 'razdel_delete' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Раздел успешно удален' . div;
    
}

if ( $_GET['mod'] == 'razdel_delete' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при удалении раздела' . div;
    
}
##################################
if ( $_GET['mod'] == 'razdel_add' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Раздел успешно создан' . div;
    
}

if ( $_GET['mod'] == 'razdel_add' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при создании раздела' . div;
    
}
##################################
if ( $_GET['mod'] == 'prazdel_add' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Подраздел успешно создан' . div;
    
}

if ( $_GET['mod'] == 'prazdel_add' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при создании подраздела' . div;
    
}
##################################
if ( $_GET['mod'] == 'prazdel_edit' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Подраздел успешно изменен' . div;
    
}

if ( $_GET['mod'] == 'prazdel_edit' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при изменении подраздела' . div;
    
}
##################################
if ( $_GET['mod'] == 'prazdel_delete' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Подраздел успешно удален' . div;
    
}

if ( $_GET['mod'] == 'prazdel_delete' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при удалении подраздела' . div;
    
}
##################################

if ( $_GET['mod'] == 'status' ) {
    
    if ( $config['status_forum'] == 0 ) {
        mysql_query("UPDATE `config` SET `status_forum` = '1'");
        echo link2 . 'Форум включен' . div;
    } else {
        mysql_query("UPDATE `config` SET `status_forum` = '0'");
        echo link2 . 'Форум выключен' . div;        
    }
    
}

if ( $config['status_forum'] == 0 ) {
    echo link2 . 'Статус модуля: <b>Выключен</b><br/ > 
    [<a href="index.php?mod=status">ON</a>] <b>OFF</b><br/ >' . div;
} else {
    echo link2 . 'Статус модуля: <b>Включен</b><br/ > 
    [<a href="index.php?mod=status">OFF</a>] <b>ON</b><br/ >' . div;    
}

$result = mysql_query("SELECT * FROM forum_razdel");
while($razdel = mysql_fetch_assoc($result)){

echo link1 . "<a href=\"../../forum/forum.php?id=".$razdel['id']."\">".$razdel['name']."</a> [<a href=\"razdel_edit.php?id=".$razdel['id']."\">Править</a>] [<a href=\"razdel_delete.php?id=".$razdel['id']."\">Удалить</a>]" . div;

############
echo link2;

$res = mysql_query("SELECT * FROM forum_podrazdel WHERE `razdel_id` = '".$razdel['id']."'");
while($forum = mysql_fetch_assoc($res)){
    echo " .: <a href=\"../../themes.php?razdel=".$razdel['id']."&pod_forum=".num($forum['id'])."\">".$forum['name']."</a> [<a href=\"prazdel_edit.php?id=".$forum['id']."\">Править</a>] [<a href=\"prazdel_delete.php?id=".$forum['id']."\">Удалить</a>]<hr>";
    
    
}
echo "<a href=\"prazdel_add.php?id=".$razdel['id']."\">Создать подраздел</a><br/ >";
echo div;
###########
}

echo link1 . '<a href="razdel_add.php">Создать раздел</a>' . div;

$kol_msg = mysql_result(mysql_query("SELECT count(*) FROM `forum_msg`"), 0);
$all_themes = mysql_result(mysql_query("SELECT count(*) FROM `forum_themes`"), 0);

echo link2 . '

Всего сообщений: '.$kol_msg.'<br/ >
Всего тем: '. $all_themes.'<br/ >
Жалобы на посты: 0<br/ >
Жалобы на темы: 0<br/ >
' . div;